{
"error": "Unauthorized",
"message": "An API key is required to access this service. Sign up at https://portal.vaults.fyi/signup to generate a key. We offer a Pay-As-You-Go plan so you only pay for what you use, with no commitments.",
"errorId": "<string>"
}
{
"error": "Forbidden",
"message": "This API key has exhausted its available credits. To resume service, please visit https://portal.vaults.fyi/signup to top-up your credits",
"errorId": "<string>"
}
{
"error": "Unauthorized",
"message": "An API key is required to access this service. Sign up at https://portal.vaults.fyi/signup to generate a key. We offer a Pay-As-You-Go plan so you only pay for what you use, with no commitments.",
"errorId": "<string>"
}
{
"error": "Forbidden",
"message": "This API key has exhausted its available credits. To resume service, please visit https://portal.vaults.fyi/signup to top-up your credits",
"errorId": "<string>"
}
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Vaults.fyi","colors":{"primary":"#18abff","light":"#96caff","dark":"#187ee8"},"logo":{"light":"https://mintcdn.com/vaultsfyi/e2nu_rHbR1M8lgfT/images/Logo-384px-black.png?fit=max\u0026auto=format\u0026n=e2nu_rHbR1M8lgfT\u0026q=85\u0026s=ad6b6e6796d582b64af53e9100b8b169","dark":"https://mintcdn.com/vaultsfyi/e2nu_rHbR1M8lgfT/images/Logo-384px-white.png?fit=max\u0026auto=format\u0026n=e2nu_rHbR1M8lgfT\u0026q=85\u0026s=83209def8b210124b3bf53b5ccc42449","href":"https://vaults.fyi/"},"favicon":"https://mintcdn.com/vaultsfyi/LV19mJjFpALwuFJ6/images/icon_blue.png?fit=max\u0026auto=format\u0026n=LV19mJjFpALwuFJ6\u0026q=85\u0026s=86baed3673733df8b24c661f1aca87f3","appearance":{"default":"system"},"background":{"color":{"light":"#FFFFFF"}},"navbar":{"primary":{"type":"button","label":"Get API Access","href":"https://portal.vaults.fyi/signup"}},"footer":{"socials":{"x":"https://x.com/vaultsfyi"}},"fonts":{"family":"Geist"},"integrations":{"ga4":{"measurementId":"G-6YJ3LN6CD5"}},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"vaultsfyi","hasAudioNarration":false,"actualSubdomain":"vaultsfyi","customDomains":["docs.vaults.fyi"],"gitSource":{"type":"github","owner":"wallfacerlabs","repo":"documentation","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ade50e053c1438f0e67710a","collectionId":"02e9e4dc-aa56-4076-af8c-2947302e247b","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ade50e053c1438f0e67710a"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6ade50e053c1438f0e67710a","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"API Reference","count":89},{"language":"default","tag":"Endpoints","count":43},{"language":"default","tag":"Documentation","count":37},{"language":"default","tag":"Beta","count":33},{"language":"default","tag":"Alpha","count":12},{"language":"default","tag":"Resources","count":11},{"language":"default","tag":"Borrow Markets","count":11},{"language":"default","tag":"SVM","count":10},{"language":"default","tag":"Sections","count":8},{"language":"default","tag":"Case Studies","count":8}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":true},"customCss":[],"page":{"pagePath":"api-reference/cross-chain/create-transaction-intent-quote","slug":"/api-reference/cross-chain/create-transaction-intent-quote","pageMetadata":{"title":"Create transaction intent quote","description":"Get transaction intent quote for cross-chain or same-chain position changes. Returns EIP-712 payload for signing and fee breakdown.","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/alpha/documentation/json post /alpha/transactions/intent/getQuote","href":"/api-reference/cross-chain/create-transaction-intent-quote","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Get transaction intent quote for cross-chain or same-chain position changes. Returns EIP-712 payload for signing and fee breakdown.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create transaction intent quote","description":"Get transaction intent quote for cross-chain or same-chain position changes. Returns EIP-712 payload for signing and fee breakdown.","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/alpha/documentation/json post /alpha/transactions/intent/getQuote","href":"/api-reference/cross-chain/create-transaction-intent-quote","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"createTransactionIntentQuote","summary":"Create transaction intent quote","tags":["Cross Chain"],"description":"Get transaction intent quote for cross-chain or same-chain position changes. Returns EIP-712 payload for signing and fee breakdown.","requestBody":"49484377-cacd-4837-ab91-b2994d865993","security":["f52e34c8-06e4-40df-86b3-21feef827173"],"responses":{"200":"f2d36e1f-4429-4e7c-9b82-ff83c1d531a7","400":"3e826b0e-aaee-4a07-94ea-610fb80083bb","401":"910f6fd2-c5b8-48f3-bc62-56f0d91ba06a","402":"262f7ffe-2eb2-4d39-9bbe-173cab6eec7f","403":"9ef78eb6-6c01-4033-8986-d93b36fdd9b8","404":"8fd76b7e-6542-452d-940e-6a5a8d536495","408":"037cf5ef-abc8-4047-9f1f-a8503b520bc6","422":"eca69d11-07f9-489e-b86b-465f57d05dfe","500":"4fe32db4-7bd8-41eb-8400-9b0507bce06a","503":"107557a6-eb30-454d-94fe-5909ddb49ecc"},"method":"post","type":"path","servers":["77a0d259-a1a1-4945-b917-71147319c9fa"],"path":"/alpha/transactions/intent/getQuote","baseUrlOptions":["https://api.vaults.fyi"],"title":"Create transaction intent quote","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"userAddress":{"type":"string","pattern":"^0x[a-fA-F0-9]{40}$","description":"User wallet address","isRequired":true,"uniqueKey":"userAddress","typeLabel":"string"},"inputPosition":{"type":"object","properties":{"address":{"type":"string","pattern":"^0x[a-fA-F0-9]{40}$","description":"Token contract address","isRequired":true,"uniqueKey":"inputPosition.address","typeLabel":"string"},"network":{"type":"string","enum":["mainnet","optimism","arbitrum","polygon","gnosis","base","unichain","swellchain","celo","worldchain","berachain","ink","bsc","hyperliquid","plasma","avalanche","katana","linea","mega-eth","monad","etherlink","robinhood","eip155:1","eip155:10","eip155:42161","eip155:137","eip155:100","eip155:8453","eip155:130","eip155:1923","eip155:42220","eip155:480","eip155:80094","eip155:57073","eip155:56","eip155:999","eip155:9745","eip155:43114","eip155:747474","eip155:59144","eip155:4326","eip155:143","eip155:42793","eip155:4663"],"description":"Network name or CAIP identifier","isRequired":true,"uniqueKey":"inputPosition.network","typeLabel":"enum\u003cstring>"},"amount":{"type":"string","description":"Amount in base units","isRequired":true,"uniqueKey":"inputPosition.amount","typeLabel":"string"}},"required":["address","network","amount"],"additionalProperties":false,"description":"Input position details","isRequired":true,"uniqueKey":"inputPosition","typeLabel":"object"},"outputPosition":{"type":"object","properties":{"address":{"type":"string","pattern":"^0x[a-fA-F0-9]{40}$","description":"Token contract address","isRequired":true,"uniqueKey":"outputPosition.address","typeLabel":"string"},"network":{"type":"string","enum":["mainnet","optimism","arbitrum","polygon","gnosis","base","unichain","swellchain","celo","worldchain","berachain","ink","bsc","hyperliquid","plasma","avalanche","katana","linea","mega-eth","monad","etherlink","robinhood","eip155:1","eip155:10","eip155:42161","eip155:137","eip155:100","eip155:8453","eip155:130","eip155:1923","eip155:42220","eip155:480","eip155:80094","eip155:57073","eip155:56","eip155:999","eip155:9745","eip155:43114","eip155:747474","eip155:59144","eip155:4326","eip155:143","eip155:42793","eip155:4663"],"description":"Network name or CAIP identifier","isRequired":true,"uniqueKey":"outputPosition.network","typeLabel":"enum\u003cstring>"}},"required":["address","network"],"additionalProperties":false,"description":"Output position details","isRequired":true,"uniqueKey":"outputPosition","typeLabel":"object"},"feeToken":{"type":"object","properties":{"address":{"type":"string","pattern":"^0x[a-fA-F0-9]{40}$","description":"Fee token contract address","isRequired":true,"uniqueKey":"feeToken.address","typeLabel":"string"},"network":{"type":"string","enum":["mainnet","optimism","arbitrum","polygon","gnosis","base","unichain","swellchain","celo","worldchain","berachain","ink","bsc","hyperliquid","plasma","avalanche","katana","linea","mega-eth","monad","etherlink","robinhood","eip155:1","eip155:10","eip155:42161","eip155:137","eip155:100","eip155:8453","eip155:130","eip155:1923","eip155:42220","eip155:480","eip155:80094","eip155:57073","eip155:56","eip155:999","eip155:9745","eip155:43114","eip155:747474","eip155:59144","eip155:4326","eip155:143","eip155:42793","eip155:4663"],"description":"Network name or CAIP identifier","isRequired":true,"uniqueKey":"feeToken.network","typeLabel":"enum\u003cstring>"}},"required":["address","network"],"additionalProperties":false,"description":"Fee token details","isRequired":true,"uniqueKey":"feeToken","typeLabel":"object"},"provider":{"type":"string","enum":["biconomy","rhinestone"],"description":"Provider name","isRequired":true,"uniqueKey":"provider","typeLabel":"enum\u003cstring>"}},"required":["userAddress","inputPosition","outputPosition","feeToken","provider"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"userAddress":"\u003cstring>","inputPosition":{"address":"\u003cstring>","amount":"\u003cstring>"},"outputPosition":{"address":"\u003cstring>"},"feeToken":{"address":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"f2d36e1f-4429-4e7c-9b82-ff83c1d531a7":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"payloadToSign":{"type":"object","properties":{"domain":{"type":"object","properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"payloadToSign.domain.name","typeLabel":"string"},"chainId":{"type":"number","isRequired":true,"uniqueKey":"payloadToSign.domain.chainId","typeLabel":"number"},"verifyingContract":{"type":"string","isRequired":true,"uniqueKey":"payloadToSign.domain.verifyingContract","typeLabel":"string"},"version":{"type":"string","uniqueKey":"payloadToSign.domain.version","typeLabel":"string"}},"required":["name","chainId","verifyingContract"],"additionalProperties":false,"description":"EIP-712 domain data","isRequired":true,"uniqueKey":"payloadToSign.domain","typeLabel":"object"},"types":{"type":"object","additionalProperties":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"payloadToSign.types.additionalProperties.items.[INDEX].name","typeLabel":"string"},"type":{"type":"string","isRequired":true,"uniqueKey":"payloadToSign.types.additionalProperties.items.[INDEX].type","typeLabel":"string"}},"required":["name","type"],"additionalProperties":false,"uniqueKey":"payloadToSign.types.additionalProperties.items.[INDEX]","typeLabel":"object"},"uniqueKey":"payloadToSign.types.additionalProperties","typeLabel":"object[]"},"description":"EIP-712 type definitions","isRequired":true,"uniqueKey":"payloadToSign.types","typeLabel":"object"},"message":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"payloadToSign.message.additionalProperties","typeLabel":"any"},"description":"Message data to be signed","isRequired":true,"uniqueKey":"payloadToSign.message","typeLabel":"object"},"primaryType":{"type":"string","description":"Primary type name (e.g., \"Permit\")","isRequired":true,"uniqueKey":"payloadToSign.primaryType","typeLabel":"string"}},"required":["domain","types","message","primaryType"],"additionalProperties":false,"description":"EIP-712 payload for user to sign","isRequired":true,"uniqueKey":"payloadToSign","typeLabel":"object"},"fees":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string","enum":["bridge","gas","orchestrator","protocol"],"isRequired":true,"uniqueKey":"fees.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"token":{"type":"object","properties":{"address":{"type":"string","pattern":"^0x[a-fA-F0-9]{40}$","description":"Token contract address","isRequired":true,"uniqueKey":"fees.items.[INDEX].token.address","typeLabel":"string"},"network":{"type":"string","enum":["mainnet","optimism","arbitrum","polygon","gnosis","base","unichain","swellchain","celo","worldchain","berachain","ink","bsc","hyperliquid","plasma","avalanche","katana","linea","mega-eth","monad","etherlink","robinhood","eip155:1","eip155:10","eip155:42161","eip155:137","eip155:100","eip155:8453","eip155:130","eip155:1923","eip155:42220","eip155:480","eip155:80094","eip155:57073","eip155:56","eip155:999","eip155:9745","eip155:43114","eip155:747474","eip155:59144","eip155:4326","eip155:143","eip155:42793","eip155:4663"],"description":"Token network name or CAIP identifier","isRequired":true,"uniqueKey":"fees.items.[INDEX].token.network","typeLabel":"enum\u003cstring>"},"decimals":{"type":"number","description":"Token decimals","isRequired":true,"uniqueKey":"fees.items.[INDEX].token.decimals","typeLabel":"number"}},"required":["address","network","decimals"],"additionalProperties":false,"isRequired":true,"uniqueKey":"fees.items.[INDEX].token","typeLabel":"object"},"amount":{"type":"string","description":"Fee amount in base units","isRequired":true,"uniqueKey":"fees.items.[INDEX].amount","typeLabel":"string"}},"required":["type","token","amount"],"additionalProperties":false,"uniqueKey":"fees.items.[INDEX]","typeLabel":"object"},"description":"Breakdown of all fees","isRequired":true,"uniqueKey":"fees","typeLabel":"object[]"},"totalCost":{"type":"array","items":{"type":"object","properties":{"address":{"type":"string","pattern":"^0x[a-fA-F0-9]{40}$","description":"Asset contract address","isRequired":true,"uniqueKey":"totalCost.items.[INDEX].address","typeLabel":"string"},"network":{"type":"string","enum":["mainnet","optimism","arbitrum","polygon","gnosis","base","unichain","swellchain","celo","worldchain","berachain","ink","bsc","hyperliquid","plasma","avalanche","katana","linea","mega-eth","monad","etherlink","robinhood","eip155:1","eip155:10","eip155:42161","eip155:137","eip155:100","eip155:8453","eip155:130","eip155:1923","eip155:42220","eip155:480","eip155:80094","eip155:57073","eip155:56","eip155:999","eip155:9745","eip155:43114","eip155:747474","eip155:59144","eip155:4326","eip155:143","eip155:42793","eip155:4663"],"description":"Asset network name or CAIP identifier","isRequired":true,"uniqueKey":"totalCost.items.[INDEX].network","typeLabel":"enum\u003cstring>"},"decimals":{"type":"number","description":"Asset decimals","isRequired":true,"uniqueKey":"totalCost.items.[INDEX].decimals","typeLabel":"number"},"amount":{"type":"string","description":"Amount in base units","isRequired":true,"uniqueKey":"totalCost.items.[INDEX].amount","typeLabel":"string"}},"required":["address","network","decimals","amount"],"additionalProperties":false,"uniqueKey":"totalCost.items.[INDEX]","typeLabel":"object"},"description":"Total cost including all fees","isRequired":true,"uniqueKey":"totalCost","typeLabel":"object[]"},"receivedPosition":{"type":"object","properties":{"address":{"type":"string","pattern":"^0x[a-fA-F0-9]{40}$","description":"Asset contract address","isRequired":true,"uniqueKey":"receivedPosition.address","typeLabel":"string"},"network":{"type":"string","enum":["mainnet","optimism","arbitrum","polygon","gnosis","base","unichain","swellchain","celo","worldchain","berachain","ink","bsc","hyperliquid","plasma","avalanche","katana","linea","mega-eth","monad","etherlink","robinhood","eip155:1","eip155:10","eip155:42161","eip155:137","eip155:100","eip155:8453","eip155:130","eip155:1923","eip155:42220","eip155:480","eip155:80094","eip155:57073","eip155:56","eip155:999","eip155:9745","eip155:43114","eip155:747474","eip155:59144","eip155:4326","eip155:143","eip155:42793","eip155:4663"],"description":"Asset network name or CAIP identifier","isRequired":true,"uniqueKey":"receivedPosition.network","typeLabel":"enum\u003cstring>"},"decimals":{"type":"number","description":"Asset decimals","isRequired":true,"uniqueKey":"receivedPosition.decimals","typeLabel":"number"},"amount":{"type":"string","description":"Amount in base units","isRequired":true,"uniqueKey":"receivedPosition.amount","typeLabel":"string"}},"required":["address","network","decimals","amount"],"additionalProperties":false,"description":"Position that will be received","isRequired":true,"uniqueKey":"receivedPosition","typeLabel":"object"},"receivedAssetValue":{"type":"object","properties":{"address":{"type":"string","pattern":"^0x[a-fA-F0-9]{40}$","description":"Asset contract address","isRequired":true,"uniqueKey":"receivedAssetValue.address","typeLabel":"string"},"network":{"type":"string","enum":["mainnet","optimism","arbitrum","polygon","gnosis","base","unichain","swellchain","celo","worldchain","berachain","ink","bsc","hyperliquid","plasma","avalanche","katana","linea","mega-eth","monad","etherlink","robinhood","eip155:1","eip155:10","eip155:42161","eip155:137","eip155:100","eip155:8453","eip155:130","eip155:1923","eip155:42220","eip155:480","eip155:80094","eip155:57073","eip155:56","eip155:999","eip155:9745","eip155:43114","eip155:747474","eip155:59144","eip155:4326","eip155:143","eip155:42793","eip155:4663"],"description":"Asset network name or CAIP identifier","isRequired":true,"uniqueKey":"receivedAssetValue.network","typeLabel":"enum\u003cstring>"},"decimals":{"type":"number","description":"Asset decimals","isRequired":true,"uniqueKey":"receivedAssetValue.decimals","typeLabel":"number"},"amount":{"type":"string","description":"Amount in base units","isRequired":true,"uniqueKey":"receivedAssetValue.amount","typeLabel":"string"}},"required":["address","network","decimals","amount"],"additionalProperties":false,"description":"Underlying asset value of the received position","isRequired":true,"uniqueKey":"receivedAssetValue","typeLabel":"object"},"setupTransactions":{"type":"object","additionalProperties":{"type":"array","items":{"type":"object","properties":{"to":{"type":"string","pattern":"^0x[a-fA-F0-9]{40}$","isRequired":true,"uniqueKey":"setupTransactions.additionalProperties.items.[INDEX].to","typeLabel":"string"},"chainId":{"type":"integer","exclusiveMinimum":true,"minimum":0,"isRequired":true,"uniqueKey":"setupTransactions.additionalProperties.items.[INDEX].chainId","typeLabel":"integer"},"data":{"type":"string","uniqueKey":"setupTransactions.additionalProperties.items.[INDEX].data","typeLabel":"string"},"value":{"type":"string","uniqueKey":"setupTransactions.additionalProperties.items.[INDEX].value","typeLabel":"string"}},"required":["to","chainId"],"additionalProperties":false,"uniqueKey":"setupTransactions.additionalProperties.items.[INDEX]","typeLabel":"object"},"uniqueKey":"setupTransactions.additionalProperties","typeLabel":"object[]"},"description":"Transactions that need to be executed before the intent execution. Grouped by chain ID.","uniqueKey":"setupTransactions","typeLabel":"object"},"expirationTimestamp":{"type":"number","description":"Timestamp when the quote expires","uniqueKey":"expirationTimestamp","typeLabel":"number"},"originalQuote":{"description":"Original quote data from the intent service","uniqueKey":"originalQuote","typeLabel":"any"}},"required":["payloadToSign","fees","totalCost","receivedPosition","receivedAssetValue"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"payloadToSign":{"domain":{"name":"\u003cstring>","chainId":123,"verifyingContract":"\u003cstring>","version":"\u003cstring>"},"types":{},"message":{},"primaryType":"\u003cstring>"},"fees":[{"type":"bridge","token":{"address":"\u003cstring>","network":"mainnet","decimals":123},"amount":"\u003cstring>"}],"totalCost":[{"address":"\u003cstring>","network":"mainnet","decimals":123,"amount":"\u003cstring>"}],"receivedPosition":{"address":"\u003cstring>","network":"mainnet","decimals":123,"amount":"\u003cstring>"},"receivedAssetValue":{"address":"\u003cstring>","network":"mainnet","decimals":123,"amount":"\u003cstring>"},"setupTransactions":{},"expirationTimestamp":123,"originalQuote":"\u003cunknown>"}}},"exampleType":"generated"}},"exampleType":"generated"},"3e826b0e-aaee-4a07-94ea-610fb80083bb":{"description":"Default Response","content":{"application/json":{"schema":{"oneOf":[{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"number","isRequired":true,"uniqueKey":"oneOf.0.statusCode","typeLabel":"number"},"error":{"type":"string","enum":["Bad Request"],"isRequired":true,"uniqueKey":"oneOf.0.error","typeLabel":"enum\u003cstring>"},"message":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.message","typeLabel":"string"},"errorId":{"type":"string","uniqueKey":"oneOf.0.errorId","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"oneOf.0","typeLabel":"object"},{}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"statusCode":123,"error":"Bad Request","message":"\u003cstring>","errorId":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"910f6fd2-c5b8-48f3-bc62-56f0d91ba06a":{"description":"Default Response","content":{"application/json":{"schema":{"oneOf":[{"type":"object","required":["error","message"],"properties":{"error":{"type":"string","enum":["Unauthorized"],"isRequired":true,"uniqueKey":"oneOf.0.error","typeLabel":"enum\u003cstring>"},"message":{"type":"string","enum":["An API key is required to access this service. Sign up at https://portal.vaults.fyi/signup to generate a key. We offer a Pay-As-You-Go plan so you only pay for what you use, with no commitments."],"isRequired":true,"uniqueKey":"oneOf.0.message","typeLabel":"enum\u003cstring>"},"errorId":{"type":"string","uniqueKey":"oneOf.0.errorId","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"oneOf.0","typeLabel":"object"},{}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"Unauthorized","message":"An API key is required to access this service. Sign up at https://portal.vaults.fyi/signup to generate a key. We offer a Pay-As-You-Go plan so you only pay for what you use, with no commitments.","errorId":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"262f7ffe-2eb2-4d39-9bbe-173cab6eec7f":{"description":"Default Response","content":{"application/json":{"schema":{"oneOf":[{"type":"object","required":["x402Version","resource"],"properties":{"x402Version":{"oneOf":[{"type":"number","isRequired":true,"uniqueKey":"oneOf.0.x402Version.oneOf.0","typeLabel":"number"},{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.x402Version.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"oneOf.0.x402Version","typeLabel":"number | string"},"resource":{"type":"object","properties":{"url":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.resource.url","typeLabel":"string"},"description":{"type":"string","uniqueKey":"oneOf.0.resource.description","typeLabel":"string"},"mimeType":{"type":"string","uniqueKey":"oneOf.0.resource.mimeType","typeLabel":"string"},"serviceName":{"type":"string","uniqueKey":"oneOf.0.resource.serviceName","typeLabel":"string"},"tags":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.0.resource.tags.items.[INDEX]","typeLabel":"string"},"uniqueKey":"oneOf.0.resource.tags","typeLabel":"string[]"},"iconUrl":{"type":"string","uniqueKey":"oneOf.0.resource.iconUrl","typeLabel":"string"}},"required":["url"],"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.resource","typeLabel":"object"},"error":{"type":"string","uniqueKey":"oneOf.0.error","typeLabel":"string"},"accepts":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"scheme":{"type":"string","enum":["exact"],"isRequired":true,"uniqueKey":"oneOf.0.accepts.oneOf.0.items.[INDEX].scheme","typeLabel":"enum\u003cstring>"},"network":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.accepts.oneOf.0.items.[INDEX].network","typeLabel":"string"},"amount":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.accepts.oneOf.0.items.[INDEX].amount","typeLabel":"string"},"payTo":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.accepts.oneOf.0.items.[INDEX].payTo","typeLabel":"string"},"maxTimeoutSeconds":{"type":"number","isRequired":true,"uniqueKey":"oneOf.0.accepts.oneOf.0.items.[INDEX].maxTimeoutSeconds","typeLabel":"number"},"asset":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.accepts.oneOf.0.items.[INDEX].asset","typeLabel":"string"},"extra":{"type":"object","properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.accepts.oneOf.0.items.[INDEX].extra.name","typeLabel":"string"},"version":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.accepts.oneOf.0.items.[INDEX].extra.version","typeLabel":"string"}},"required":["name","version"],"additionalProperties":false,"uniqueKey":"oneOf.0.accepts.oneOf.0.items.[INDEX].extra","typeLabel":"object"}},"required":["scheme","network","amount","payTo","maxTimeoutSeconds","asset"],"additionalProperties":false,"uniqueKey":"oneOf.0.accepts.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"oneOf.0.accepts.oneOf.0","typeLabel":"object[]"},{}],"uniqueKey":"oneOf.0.accepts","typeLabel":"object[]"},"extensions":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"oneOf.0.extensions.additionalProperties","typeLabel":"any"},"uniqueKey":"oneOf.0.extensions","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0","typeLabel":"object"},{}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"x402Version":123,"resource":{"url":"\u003cstring>","description":"\u003cstring>","mimeType":"\u003cstring>","serviceName":"\u003cstring>","tags":["\u003cstring>"],"iconUrl":"\u003cstring>"},"error":"\u003cstring>","accepts":[{"scheme":"exact","network":"\u003cstring>","amount":"\u003cstring>","payTo":"\u003cstring>","maxTimeoutSeconds":123,"asset":"\u003cstring>","extra":{"name":"\u003cstring>","version":"\u003cstring>"}}],"extensions":{}}}},"exampleType":"generated"}},"exampleType":"generated"},"9ef78eb6-6c01-4033-8986-d93b36fdd9b8":{"description":"Default Response","content":{"application/json":{"schema":{"oneOf":[{"type":"object","required":["error","message"],"properties":{"error":{"type":"string","enum":["Forbidden"],"isRequired":true,"uniqueKey":"oneOf.0.error","typeLabel":"enum\u003cstring>"},"message":{"type":"string","enum":["This API key has exhausted its available credits. To resume service, please visit https://portal.vaults.fyi/signup to top-up your credits"],"isRequired":true,"uniqueKey":"oneOf.0.message","typeLabel":"enum\u003cstring>"},"errorId":{"type":"string","uniqueKey":"oneOf.0.errorId","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"oneOf.0","typeLabel":"object"},{}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"Forbidden","message":"This API key has exhausted its available credits. To resume service, please visit https://portal.vaults.fyi/signup to top-up your credits","errorId":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"8fd76b7e-6542-452d-940e-6a5a8d536495":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","enum":["Not Found"],"isRequired":true,"uniqueKey":"error","typeLabel":"enum\u003cstring>"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"required":["error","message"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"Not Found","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"037cf5ef-abc8-4047-9f1f-a8503b520bc6":{"description":"Default Response","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"message":{"type":"string","uniqueKey":"oneOf.0.message","typeLabel":"string"},"errorId":{"type":"string","uniqueKey":"oneOf.0.errorId","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"oneOf.0","typeLabel":"object"},{}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"\u003cstring>","errorId":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"eca69d11-07f9-489e-b86b-465f57d05dfe":{"description":"Default Response","content":{"application/json":{"schema":{"oneOf":[{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"number","isRequired":true,"uniqueKey":"oneOf.0.statusCode","typeLabel":"number"},"error":{"type":"string","enum":["Unprocessable Entity"],"isRequired":true,"uniqueKey":"oneOf.0.error","typeLabel":"enum\u003cstring>"},"message":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.message","typeLabel":"string"},"errorId":{"type":"string","uniqueKey":"oneOf.0.errorId","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"oneOf.0","typeLabel":"object"},{}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"statusCode":123,"error":"Unprocessable Entity","message":"\u003cstring>","errorId":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"4fe32db4-7bd8-41eb-8400-9b0507bce06a":{"description":"Default Response","content":{"application/json":{"schema":{"oneOf":[{"type":"object","required":["error","message"],"properties":{"error":{"type":"string","enum":["Internal Server Error"],"isRequired":true,"uniqueKey":"oneOf.0.error","typeLabel":"enum\u003cstring>"},"message":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.message","typeLabel":"string"},"errorId":{"type":"string","uniqueKey":"oneOf.0.errorId","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"oneOf.0","typeLabel":"object"},{}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":"Internal Server Error","message":"\u003cstring>","errorId":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"107557a6-eb30-454d-94fe-5909ddb49ecc":{"description":"Default Response","content":{"application/json":{"schema":{"oneOf":[{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"number","isRequired":true,"uniqueKey":"oneOf.0.statusCode","typeLabel":"number"},"error":{"type":"string","enum":["Service Unavailable"],"isRequired":true,"uniqueKey":"oneOf.0.error","typeLabel":"enum\u003cstring>"},"message":{"type":"string","isRequired":true,"uniqueKey":"oneOf.0.message","typeLabel":"string"},"errorId":{"type":"string","uniqueKey":"oneOf.0.errorId","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"oneOf.0","typeLabel":"object"},{}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"statusCode":123,"error":"Service Unavailable","message":"\u003cstring>","errorId":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"f52e34c8-06e4-40df-86b3-21feef827173":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header","scopes":[],"schemeName":"apiKey"}}},"servers":{"77a0d259-a1a1-4945-b917-71147319c9fa":{"url":"https://api.vaults.fyi","description":"Vaults.fyi Alpha API"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","name":"x-api-key","in":"header","scopes":[],"schemeName":"apiKey"},"schema":{"title":"x-api-key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apiKey","name":"x-api-key"}],"title":"apiKey"}]},"originalFileLocation":"https://api.vaults.fyi/alpha/documentation/json"},"subdomain":"vaultsfyi","siteName":"Vaults.fyi","title":"Create transaction intent quote - Vaults.fyi","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-25T18:56:42.324Z","originalFileLocation":"api-reference/cross-chain/create-transaction-intent-quote.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Get transaction intent quote for cross-chain or same-chain position changes. Returns EIP-712 payload for signing and fee breakdown.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Vaults.fyi\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/vaultsfyi/7hM2popFdZ7XFny9/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/vaultsfyi/7hM2popFdZ7XFny9/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/vaultsfyi/7hM2popFdZ7XFny9/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/vaultsfyi/7hM2popFdZ7XFny9/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/vaultsfyi/7hM2popFdZ7XFny9/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/vaultsfyi/7hM2popFdZ7XFny9/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/vaultsfyi/7hM2popFdZ7XFny9/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/vaultsfyi/7hM2popFdZ7XFny9/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/vaultsfyi/7hM2popFdZ7XFny9/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create transaction intent quote - Vaults.fyi\">\u003cmeta data-mint-head property=\"og:description\" content=\"Get transaction intent quote for cross-chain or same-chain position changes. Returns EIP-712 payload for signing and fee breakdown.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Vaults.fyi\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.vaults.fyi/api-reference/cross-chain/create-transaction-intent-quote\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://vaultsfyi.mintlify.app/_mintlify/api/og/v2?division=Cross+Chain\u0026amp;title=Create+transaction+intent+quote\u0026amp;description=Get+transaction+intent+quote+for+cross-chain+or+same-chain+position+changes.+Returns+EIP-712+payload+for+signing+and+fee+breakdown.\u0026amp;theme=b4ba67dd4b088a3338b2ae20\u0026amp;signature=5bd01de5dd6f15599dbcfea1c4ecf52d8aedfe6fb7940183ce8e8c57f6c94d78\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create transaction intent quote - Vaults.fyi\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Get transaction intent quote for cross-chain or same-chain position changes. Returns EIP-712 payload for signing and fee breakdown.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://vaultsfyi.mintlify.app/_mintlify/api/og/v2?division=Cross+Chain\u0026amp;title=Create+transaction+intent+quote\u0026amp;description=Get+transaction+intent+quote+for+cross-chain+or+same-chain+position+changes.+Returns+EIP-712+payload+for+signing+and+fee+breakdown.\u0026amp;theme=b4ba67dd4b088a3338b2ae20\u0026amp;signature=5bd01de5dd6f15599dbcfea1c4ecf52d8aedfe6fb7940183ce8e8c57f6c94d78\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/vaultsfyi/7hM2popFdZ7XFny9/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Vaults.fyi\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#18abff\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.vaults.fyi/api-reference/cross-chain/create-transaction-intent-quote\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/cross-chain/create-transaction-intent-quote.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.vaults.fyi/#organization\",\"name\":\"Vaults.fyi\",\"url\":\"https://docs.vaults.fyi\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/vaultsfyi/e2nu_rHbR1M8lgfT/images/Logo-384px-black.png?fit=max\u0026auto=format\u0026n=e2nu_rHbR1M8lgfT\u0026q=85\u0026s=ad6b6e6796d582b64af53e9100b8b169\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.vaults.fyi#website\",\"name\":\"Vaults.fyi\",\"url\":\"https://docs.vaults.fyi\",\"publisher\":{\"@id\":\"https://docs.vaults.fyi/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.vaults.fyi/api-reference/cross-chain/create-transaction-intent-quote#webpage\",\"url\":\"https://docs.vaults.fyi/api-reference/cross-chain/create-transaction-intent-quote\",\"name\":\"Create transaction intent quote\",\"description\":\"Get transaction intent quote for cross-chain or same-chain position changes. Returns EIP-712 payload for signing and fee breakdown.\",\"dateModified\":\"2026-10-25T18:56:42.324Z\",\"isPartOf\":{\"@id\":\"https://docs.vaults.fyi#website\"},\"breadcrumb\":{\"@id\":\"https://docs.vaults.fyi/api-reference/cross-chain/create-transaction-intent-quote#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.vaults.fyi/api-reference/cross-chain/create-transaction-intent-quote#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Alpha\",\"item\":\"https://docs.vaults.fyi/api-reference/alpha\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Endpoints\",\"item\":\"https://docs.vaults.fyi/api-reference/holders/list-vault-holders\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create transaction intent quote\",\"item\":\"https://docs.vaults.fyi/api-reference/cross-chain/create-transaction-intent-quote\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.vaults.fyi/api-reference/cross-chain/create-transaction-intent-quote#apireference\",\"headline\":\"Create transaction intent quote\",\"name\":\"Create transaction intent quote\",\"description\":\"Get transaction intent quote for cross-chain or same-chain position changes. Returns EIP-712 payload for signing and fee breakdown.\",\"url\":\"https://docs.vaults.fyi/api-reference/cross-chain/create-transaction-intent-quote\",\"mainEntityOfPage\":{\"@id\":\"https://docs.vaults.fyi/api-reference/cross-chain/create-transaction-intent-quote#webpage\"},\"dateModified\":\"2026-10-25T18:56:42.324Z\",\"publisher\":{\"@id\":\"https://docs.vaults.fyi/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.vaults.fyi#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Vaults.fyi\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Vaults.fyi","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","pages":[{"title":"Vaults.fyi API Overview","sidebarTitle":"Overview","href":"/api-reference/overview"},{"group":"Sections","pages":[{"title":"General","href":"/api-reference/general"},{"title":"Detailed Vaults","href":"/api-reference/detailed-vaults"},{"title":"Historical","href":"/api-reference/historical"},{"title":"Benchmarks","href":"/api-reference/benchmarks"},{"title":"Portfolio","href":"/api-reference/portfolio"},{"title":"Transactions","href":"/api-reference/transactions"},{"title":"Near Real-Time","href":"/api-reference/nrt"},{"title":"Health","href":"/api-reference/health"}]},{"group":"Legacy v1","hidden":true,"pages":[{"title":"Legacy v1 API Endpoints Overview","sidebarTitle":"Overview","href":"/api/legacy/overview"},{"title":"v1 Market Data Endpoints for DeFi Vaults","sidebarTitle":"Market Data","href":"/api/legacy/market-data"},{"title":"v1 Position Tracking Endpoints for DeFi Wallets","sidebarTitle":"Position Tracking","href":"/api/legacy/position-tracking"},{"title":"v1 Generate Payloads: DeFi Transaction Calldata","sidebarTitle":"Generate Payloads","href":"/api/legacy/generate-payloads"},{"title":"v1 Contextual Insights: Wallet-Based Yield Options","sidebarTitle":"Contextual Insights","href":"/api/legacy/contextual-insights"}]},{"group":"Endpoints","pages":[{"group":"Health","pages":[{"title":"Health check","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/health","href":"/api-reference/health/health-check"}]},{"group":"General","pages":[{"title":"List vaults","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/vaults","href":"/api-reference/general/list-vaults"},{"title":"List assets","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/assets","href":"/api-reference/general/list-assets"},{"title":"List tags","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/tags","href":"/api-reference/general/list-tags"},{"title":"List networks","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/networks","href":"/api-reference/general/list-networks"},{"title":"List curators","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/curators","href":"/api-reference/general/list-curators"},{"title":"List protocols","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/protocols","href":"/api-reference/general/list-protocols"}]},{"group":"Historical","pages":[{"title":"Get vault historical data","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/historical/{network}/{vaultId}","href":"/api-reference/historical/get-vault-historical-data"},{"title":"Get historical APY","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/historical/{network}/{vaultId}/apy","href":"/api-reference/historical/get-historical-apy"},{"title":"Get historical TVL","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/historical/{network}/{vaultId}/tvl","href":"/api-reference/historical/get-historical-tvl"},{"title":"Get historical share price","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/historical/{network}/{vaultId}/sharePrice","href":"/api-reference/historical/get-historical-share-price"},{"title":"Get historical asset prices","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/historical/asset-prices/{network}/{assetAddress}","href":"/api-reference/historical/get-historical-asset-prices"}]},{"group":"Detailed Vaults","pages":[{"title":"List detailed vaults","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/detailed-vaults","href":"/api-reference/detailed-vaults/list-detailed-vaults"},{"title":"Get vault details","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/detailed-vaults/{network}/{vaultId}","href":"/api-reference/detailed-vaults/get-vault-details"},{"title":"Get vault APY","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/detailed-vaults/{network}/{vaultId}/apy","href":"/api-reference/detailed-vaults/get-vault-apy"},{"title":"Get vault TVL","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/detailed-vaults/{network}/{vaultId}/tvl","href":"/api-reference/detailed-vaults/get-vault-tvl"}]},{"group":"Portfolio","pages":[{"title":"Get best vault","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/portfolio/best-vault/{userAddress}","href":"/api-reference/portfolio/get-best-vault"},{"title":"List portfolio positions","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/portfolio/positions/{userAddress}","href":"/api-reference/portfolio/list-portfolio-positions"},{"title":"Get portfolio position","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/portfolio/positions/{userAddress}/{network}/{vaultId}","href":"/api-reference/portfolio/get-portfolio-position"},{"title":"Get best deposit options","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/portfolio/best-deposit-options/{userAddress}","href":"/api-reference/portfolio/get-best-deposit-options"},{"title":"List idle assets","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/portfolio/idle-assets/{userAddress}","href":"/api-reference/portfolio/list-idle-assets"},{"title":"Get total returns","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/portfolio/total-returns/{userAddress}/{network}/{vaultId}","href":"/api-reference/portfolio/get-total-returns"},{"title":"List position events","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/portfolio/events/{userAddress}/{network}/{vaultId}","href":"/api-reference/portfolio/list-position-events"}]},{"group":"Transactions","pages":[{"title":"Get transaction context","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/transactions/context/{userAddress}/{network}/{vaultId}","href":"/api-reference/transactions/get-transaction-context"},{"title":"Get transaction suffix","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/transactions/suffix/{userAddress}/{vaultId}","href":"/api-reference/transactions/get-transaction-suffix"},{"title":"Get transaction payload","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/transactions/{action}/{userAddress}/{network}/{vaultId}","href":"/api-reference/transactions/get-transaction-payload"},{"title":"Get rewards context","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/transactions/rewards/context/{userAddress}","href":"/api-reference/transactions/get-rewards-context"},{"title":"Claim rewards","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/transactions/rewards/claim/{userAddress}","href":"/api-reference/transactions/claim-rewards"}]},{"group":"Benchmarks","pages":[{"title":"Get benchmark rate","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/benchmarks/{network}","href":"/api-reference/benchmarks/get-benchmark-rate"},{"title":"Get historical benchmarks","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/historical-benchmarks/{network}","href":"/api-reference/benchmarks/get-historical-benchmarks"}]},{"group":"NRT","pages":[{"title":"Get vault NRT data","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/nrt/vault/{network}/{vaultId}","href":"/api-reference/nrt/get-vault-nrt-data"},{"title":"Get vault NRT share price","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/nrt/vault/{network}/{vaultId}/sharePrice","href":"/api-reference/nrt/get-vault-nrt-share-price"},{"title":"Get vault NRT total supply","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/nrt/vault/{network}/{vaultId}/totalSupply","href":"/api-reference/nrt/get-vault-nrt-total-supply"},{"title":"Get vault NRT total assets","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/nrt/vault/{network}/{vaultId}/totalAssets","href":"/api-reference/nrt/get-vault-nrt-total-assets"},{"title":"Get vault NRT underlying asset price","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/nrt/vault/{network}/{vaultId}/underlyingAssetPrice","href":"/api-reference/nrt/get-vault-nrt-underlying-asset-price"}]}]},{"group":"Beta","pages":[{"title":"Beta","href":"/api-reference/beta"},{"group":"Endpoints","pages":[{"group":"Borrow Markets","pages":[{"title":"Get borrow market transaction context","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/borrow/markets/transactions/context/{userAddress}/{network}/{marketId}/{assetId}","href":"/api-reference/borrow-markets/get-borrow-market-transaction-context"},{"title":"Create borrow market transaction","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/borrow/markets/transactions/{action}/{userAddress}/{network}/{marketId}/{assetId}","href":"/api-reference/borrow-markets/create-borrow-market-transaction"},{"title":"List borrow markets","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/borrow/markets/","href":"/api-reference/borrow-markets/list-borrow-markets"},{"title":"Get borrow market historical data","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/borrow/markets/historical/{network}/{marketId}/{assetId}","href":"/api-reference/borrow-markets/get-borrow-market-historical-data"},{"title":"Get borrow market asset NRT data","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/borrow/markets/nrt/{network}/{marketId}/{assetId}","href":"/api-reference/borrow-markets/get-borrow-market-asset-nrt-data"},{"title":"List borrow markets by network","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/borrow/markets/{network}","href":"/api-reference/borrow-markets/list-borrow-markets-by-network"},{"title":"Get borrow market","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/borrow/markets/{network}/{marketId}","href":"/api-reference/borrow-markets/get-borrow-market"},{"title":"List borrow market events","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/borrow/portfolio/events/{userAddress}/{network}/{marketId}/{assetId}","href":"/api-reference/borrow-markets/list-borrow-market-events"},{"title":"List borrow positions","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/borrow/portfolio/positions/{userAddress}","href":"/api-reference/borrow-markets/list-borrow-positions"},{"title":"Get borrow market asset position","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/borrow/portfolio/positions/{userAddress}/{network}/{marketId}/{assetId}","href":"/api-reference/borrow-markets/get-borrow-market-asset-position"},{"title":"Get borrow market position","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/borrow/portfolio/positions/{userAddress}/{network}/{marketId}","href":"/api-reference/borrow-markets/get-borrow-market-position"}]},{"group":"The Deep","pages":[{"title":"Create Deep deposit transaction","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/amm/deep/deposit/{userAddress}/{network}/{vaultId}","href":"/api-reference/the-deep/create-deep-deposit-transaction"},{"title":"Create Deep withdrawal transaction","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/amm/deep/withdraw/{userAddress}/{network}/{vaultId}","href":"/api-reference/the-deep/create-deep-withdrawal-transaction"},{"title":"Get Deep position","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/amm/deep/positions/{userAddress}/{network}/{vaultId}","href":"/api-reference/the-deep/get-deep-position"},{"title":"List Deep detailed vaults","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/amm/deep/detailed-vaults","href":"/api-reference/the-deep/list-deep-detailed-vaults"}]},{"group":"Fixed Term (Pendle)","pages":[{"title":"List fixed-term Pendle markets","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/fixed-term/","href":"/api-reference/fixed-term-pendle/list-fixed-term-pendle-markets"},{"title":"Get fixed-term market","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/fixed-term/detailed/{network}/{vaultId}","href":"/api-reference/fixed-term-pendle/get-fixed-term-market"},{"title":"Create fixed-term transaction","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/fixed-term/transactions/{action}/{userAddress}/{network}/{vaultId}","href":"/api-reference/fixed-term-pendle/create-fixed-term-transaction"},{"title":"Get fixed-term transaction context","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/fixed-term/context/{userAddress}/{network}/{vaultId}","href":"/api-reference/fixed-term-pendle/get-fixed-term-transaction-context"}]},{"group":"Portfolio","pages":[{"title":"Get partial returns","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/portfolio/partial-returns/{userAddress}/{network}/{vaultId}","href":"/api-reference/portfolio/get-partial-returns"}]},{"group":"SVM","pages":[{"title":"Get SVM idle asset","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/svm/portfolio/idle-assets/{userAddress}/{assetAddress}","href":"/api-reference/svm/get-svm-idle-asset"},{"title":"List SVM idle assets","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/svm/portfolio/idle-assets/{userAddress}","href":"/api-reference/svm/list-svm-idle-assets"},{"title":"List SVM vaults","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/svm/vaults","href":"/api-reference/svm/list-svm-vaults"},{"title":"List SVM detailed vaults","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/svm/detailed-vaults","href":"/api-reference/svm/list-svm-detailed-vaults"},{"title":"Get SVM detailed vault","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/svm/detailed-vaults/{vaultAddress}","href":"/api-reference/svm/get-svm-detailed-vault"},{"title":"List SVM positions","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/svm/portfolio/positions/{userAddress}","href":"/api-reference/svm/list-svm-positions"},{"title":"Create SVM transaction","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/svm/transactions/{action}/{userAddress}/{vaultAddress}","href":"/api-reference/svm/create-svm-transaction"},{"title":"Get SVM transaction context","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/svm/transactions/context/{userAddress}/{vaultAddress}","href":"/api-reference/svm/get-svm-transaction-context"},{"title":"List SVM portfolio events across supported vaults","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/svm/portfolio/events/{userAddress}","href":"/api-reference/svm/list-svm-portfolio-events-across-supported-vaults"},{"title":"List SVM position events","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json get /beta/svm/portfolio/events/{userAddress}/{vaultAddress}","href":"/api-reference/svm/list-svm-position-events"}]},{"group":"Advanced Analytics","pages":[{"title":"List advanced vault analytics","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json post /beta/advanced-analytics","href":"/api-reference/advanced-analytics/list-advanced-vault-analytics"},{"title":"Get advanced vault analytics","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/beta/documentation/json post /beta/advanced-analytics/{network}/{vaultId}","href":"/api-reference/advanced-analytics/get-advanced-vault-analytics"}]}]}]},{"group":"Alpha","pages":[{"title":"Alpha","href":"/api-reference/alpha"},{"group":"Endpoints","pages":[{"group":"Holders","pages":[{"title":"List vault holders","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/alpha/documentation/json get /alpha/{network}/{vaultId}/holders","href":"/api-reference/holders/list-vault-holders"}]},{"group":"Historical Positions","pages":[{"title":"List user historical positions","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/alpha/documentation/json get /alpha/historical-positions/{userAddress}","href":"/api-reference/historical-positions/list-user-historical-positions"},{"title":"List user historical balances","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/alpha/documentation/json get /alpha/historical-balances/{userAddress}/{timestamp}","href":"/api-reference/historical-positions/list-user-historical-balances"}]},{"group":"Historical","pages":[{"title":"Get historical daily vault flows","description":"Retrieves daily UTC vault deposit and redemption totals for a specific vault over an exclusive date range.","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/alpha/documentation/json get /alpha/historical/{network}/{vaultId}/daily-flows","href":"/api-reference/historical/get-historical-daily-vault-flows"}]},{"group":"Cross Chain","pages":[{"title":"Create transaction intent quote","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/alpha/documentation/json post /alpha/transactions/intent/getQuote","href":"/api-reference/cross-chain/create-transaction-intent-quote"},{"title":"Execute transaction intent","description":"Execute a transaction intent with a signed payload. Returns the supertransaction hash for tracking.","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/alpha/documentation/json post /alpha/transactions/intent/execute","href":"/api-reference/cross-chain/execute-transaction-intent"},{"title":"Get transaction intent status","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/alpha/documentation/json get /alpha/transactions/intent/status","href":"/api-reference/cross-chain/get-transaction-intent-status"}]},{"group":"CCTP Bridge","pages":[{"title":"Get CCTP transaction context","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/alpha/documentation/json get /alpha/transactions/cctp/context/{userAddress}/{srcNetwork}/{dstNetwork}/{assetAddress}","href":"/api-reference/cctp-bridge/get-cctp-transaction-context"},{"title":"List CCTP money in transit","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/alpha/documentation/json get /alpha/transactions/cctp/money-in-transit/{userAddress}","href":"/api-reference/cctp-bridge/list-cctp-money-in-transit"},{"title":"Create CCTP transaction","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/alpha/documentation/json get /alpha/transactions/cctp/transactions/{action}/{userAddress}/{srcNetwork}/{dstNetwork}","href":"/api-reference/cctp-bridge/create-cctp-transaction"},{"title":"Get CCTP transaction status","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/alpha/documentation/json get /alpha/transactions/cctp/status","href":"/api-reference/cctp-bridge/get-cctp-transaction-status"}]}]}]}],"groups":[{"group":"Health","pages":[{"title":"Health check","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/health","href":"/api-reference/health/health-check"}]},{"group":"General","pages":[{"title":"List vaults","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/vaults","href":"/api-reference/general/list-vaults"},{"title":"List assets","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/assets","href":"/api-reference/general/list-assets"},{"title":"List tags","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/tags","href":"/api-reference/general/list-tags"},{"title":"List networks","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/networks","href":"/api-reference/general/list-networks"},{"title":"List curators","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/curators","href":"/api-reference/general/list-curators"},{"title":"List protocols","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/protocols","href":"/api-reference/general/list-protocols"}]},{"group":"Historical","pages":[{"title":"Get vault historical data","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/historical/{network}/{vaultId}","href":"/api-reference/historical/get-vault-historical-data"},{"title":"Get historical APY","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/historical/{network}/{vaultId}/apy","href":"/api-reference/historical/get-historical-apy"},{"title":"Get historical TVL","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/historical/{network}/{vaultId}/tvl","href":"/api-reference/historical/get-historical-tvl"},{"title":"Get historical share price","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/historical/{network}/{vaultId}/sharePrice","href":"/api-reference/historical/get-historical-share-price"},{"title":"Get historical asset prices","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/historical/asset-prices/{network}/{assetAddress}","href":"/api-reference/historical/get-historical-asset-prices"}]},{"group":"Detailed Vaults","pages":[{"title":"List detailed vaults","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/detailed-vaults","href":"/api-reference/detailed-vaults/list-detailed-vaults"},{"title":"Get vault details","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/detailed-vaults/{network}/{vaultId}","href":"/api-reference/detailed-vaults/get-vault-details"},{"title":"Get vault APY","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/detailed-vaults/{network}/{vaultId}/apy","href":"/api-reference/detailed-vaults/get-vault-apy"},{"title":"Get vault TVL","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/detailed-vaults/{network}/{vaultId}/tvl","href":"/api-reference/detailed-vaults/get-vault-tvl"}]},{"group":"Portfolio","pages":[{"title":"Get best vault","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/portfolio/best-vault/{userAddress}","href":"/api-reference/portfolio/get-best-vault"},{"title":"List portfolio positions","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/portfolio/positions/{userAddress}","href":"/api-reference/portfolio/list-portfolio-positions"},{"title":"Get portfolio position","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/portfolio/positions/{userAddress}/{network}/{vaultId}","href":"/api-reference/portfolio/get-portfolio-position"},{"title":"Get best deposit options","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/portfolio/best-deposit-options/{userAddress}","href":"/api-reference/portfolio/get-best-deposit-options"},{"title":"List idle assets","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/portfolio/idle-assets/{userAddress}","href":"/api-reference/portfolio/list-idle-assets"},{"title":"Get total returns","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/portfolio/total-returns/{userAddress}/{network}/{vaultId}","href":"/api-reference/portfolio/get-total-returns"},{"title":"List position events","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/portfolio/events/{userAddress}/{network}/{vaultId}","href":"/api-reference/portfolio/list-position-events"}]},{"group":"Transactions","pages":[{"title":"Get transaction context","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/transactions/context/{userAddress}/{network}/{vaultId}","href":"/api-reference/transactions/get-transaction-context"},{"title":"Get transaction suffix","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/transactions/suffix/{userAddress}/{vaultId}","href":"/api-reference/transactions/get-transaction-suffix"},{"title":"Get transaction payload","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/transactions/{action}/{userAddress}/{network}/{vaultId}","href":"/api-reference/transactions/get-transaction-payload"},{"title":"Get rewards context","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/transactions/rewards/context/{userAddress}","href":"/api-reference/transactions/get-rewards-context"},{"title":"Claim rewards","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/transactions/rewards/claim/{userAddress}","href":"/api-reference/transactions/claim-rewards"}]},{"group":"Benchmarks","pages":[{"title":"Get benchmark rate","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/benchmarks/{network}","href":"/api-reference/benchmarks/get-benchmark-rate"},{"title":"Get historical benchmarks","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/historical-benchmarks/{network}","href":"/api-reference/benchmarks/get-historical-benchmarks"}]},{"group":"NRT","pages":[{"title":"Get vault NRT data","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/nrt/vault/{network}/{vaultId}","href":"/api-reference/nrt/get-vault-nrt-data"},{"title":"Get vault NRT share price","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/nrt/vault/{network}/{vaultId}/sharePrice","href":"/api-reference/nrt/get-vault-nrt-share-price"},{"title":"Get vault NRT total supply","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/nrt/vault/{network}/{vaultId}/totalSupply","href":"/api-reference/nrt/get-vault-nrt-total-supply"},{"title":"Get vault NRT total assets","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/nrt/vault/{network}/{vaultId}/totalAssets","href":"/api-reference/nrt/get-vault-nrt-total-assets"},{"title":"Get vault NRT underlying asset price","deprecated":null,"version":null,"openapi":"https://api.vaults.fyi/v2/documentation/json get /v2/nrt/vault/{network}/{vaultId}/underlyingAssetPrice","href":"/api-reference/nrt/get-vault-nrt-underlying-asset-price"}]}]}]},"basePath":"","title":"Create transaction intent quote - Vaults.fyi","buildId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","deploymentId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CS552b7R.js","utils-DDTCYAF2.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-De8ttokP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DrwRDvAh.js","snippetPresets-DtAN0nWx.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D5rWArI6.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-O2i12wsz.js","shallow-DV8xABTt.js","getApiPlaygroundDisplay-DBZ0B5Jx.js","CodeSnippet-BVi0tPUX.js","CodeSnippets-CqASbIwY.js","Page-m07pfKpT.js","getPastedJson-DG9vsMS8.js","icon-CXzRSCr8.js","MethodPill-BdKVtEuX.js","DuplicateIcon-CZlmBrJI.js","createIcon-biFEUKPL.js","DynamicMarkdown-B54_zNBF.js","SectionHeading-DwwHK3Pt.js","axios-vUo_bRtp.js","Markdown-DfhCTwyA.js","clsx-xpJZXxdP.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BTZUMDnx.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-DqdKa2R4.js"]}